Bug 1297679 - New version of aws-sdk-go is available
New version of aws-sdk-go is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: golang-github-aws-aws-sdk-go (Show other bugs)
24
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Fridolín Pokorný
Fedora Extras Quality Assurance
:
Depends On: 1297549 1297550 1327497
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-12 03:42 EST by Ed Marshall
Modified: 2016-09-15 04:27 EDT (History)
3 users (show)

See Also:
Fixed In Version: golang-github-aws-aws-sdk-go-1.4.9-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-15 04:27:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Marshall 2016-01-12 03:42:21 EST
Version 1.0.7 of golang-github-aws-aws-sdk-go is available; a newer release is required by Hashicorp Vault, which I'm in the process of trying to package for Fedora.

I've built a placeholder version in my vault copr for now, if it saves you a little bit of time:

COPR: https://copr.fedoraproject.org/coprs/logic/vault/
SRPM: https://copr-be.cloud.fedoraproject.org/results/logic/vault/fedora-rawhide-x86_64/00149413-golang-github-aws-aws-sdk-go/golang-github-aws-aws-sdk-go-1.0.7-0.fc24.src.rpm

This update requires golang-github-jmespath-go-jmespath and golang-github-go-ini-ini, both of which are available in the COPR. I've started the package review process for them as bug 1297550 (jmespath) and bug 1297549 (ini).
Comment 1 Jan Kurik 2016-02-24 10:44:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Jan Chaloupka 2016-04-20 04:30:25 EDT
I am updating aws-sdk-go to 1.1.3. Will it be sufficient?
Comment 3 Ed Marshall 2016-04-21 18:09:18 EDT
It's definitely new enough to have the missing APIs available, so yeah, I'd imagine that will work out (assuming there haven't been huge backwards-compat changes).

Note You need to log in before you can comment on or make changes to this bug.